/* general stylesheet for this website */

/* Montserrat Font. Licensed under the SIL Open Font License v1.1. */
/* See /static/fonts/AUTHORS for a copy of the license. */

/* montserrat-regular - latin */
/* src: https://gwfh.mranftl.com/fonts/montserrat?subsets=latin */
@font-face {
  font-display: swap;
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 400;
  src: url('./fonts/montserrat/montserrat-v25-latin-regular.eot'); /* IE9 Compat Modes */
  src: url('./fonts/montserrat/montserrat-v25-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
  url('./fonts/montserrat/montserrat-v25-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
  url('./fonts/montserrat/montserrat-v25-latin-regular.woff') format('woff'), /* Modern Browsers */
  url('./fonts/montserrat/montserrat-v25-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
  url('./fonts/montserrat/montserrat-v25-latin-regular.svg#Montserrat') format('svg'); /* Legacy iOS */
}

/* montserrat-600 - latin */
@font-face {
  font-display: swap;
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 600;
  src: url('./fonts/montserrat/montserrat-v25-latin-600.eot'); /* IE9 Compat Modes */
  src: url('./fonts/montserrat/montserrat-v25-latin-600.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
  url('./fonts/montserrat/montserrat-v25-latin-600.woff2') format('woff2'), /* Super Modern Browsers */
  url('./fonts/montserrat/montserrat-v25-latin-600.woff') format('woff'), /* Modern Browsers */
  url('./fonts/montserrat/montserrat-v25-latin-600.ttf') format('truetype'), /* Safari, Android, iOS */
  url('./fonts/montserrat/montserrat-v25-latin-600.svg#Montserrat') format('svg'); /* Legacy iOS */
}

/* montserrat-900 - latin */
@font-face {
  font-display: swap;
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 900;
  src: url('./fonts/montserrat/montserrat-v25-latin-900.eot'); /* IE9 Compat Modes */
  src: url('./fonts/montserrat/montserrat-v25-latin-900.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
  url('./fonts/montserrat/montserrat-v25-latin-900.woff2') format('woff2'), /* Super Modern Browsers */
  url('./fonts/montserrat/montserrat-v25-latin-900.woff') format('woff'), /* Modern Browsers */
  url('./fonts/montserrat/montserrat-v25-latin-900.ttf') format('truetype'), /* Safari, Android, iOS */
  url('./fonts/montserrat/montserrat-v25-latin-900.svg#Montserrat') format('svg'); /* Legacy iOS */
}

body {
  font-family: 'Montserrat';
}

h1, h2, h3 {
  font-weight: bold;
}

.btn {
  border: none;
  border-radius: .25rem;
  box-shadow: .125rem .125rem .25rem $gray-20;

  &:hover {
    box-shadow: .25rem .25rem .375rem $gray-20;
  }
}

.btn-primary {
  background-color: $primary;
  color: $white;

  a {
    color: $white;
  }
}

.navbar {
  margin-top: 1.5rem;

  img {
    height: 3rem;
  }
}

.navbar-nav {
  &:first-child {
    margin: auto;

    .nav-link {
      color: $gray-60;
      padding: 1rem;

      &:hover {
        color: $primary;
      }
    }
  }

  &:last-child > .nav-item > .nav-link {
    @extend .btn, .btn-primary;
    margin: .875rem;
    padding: .625rem;
  }
}

.navbar-toggler {
  @extend .navbar-light;
}

#welcome {
  color: $primary-dark;
}

#jumbotron-img img {
  height: 18rem;
}

.btn-salsa {
  background-color: $red;
  color: $gray-100;

  &:hover {
    color: $yellow;
  }
}

#news-section {
  h2 {
    text-align: center;
    margin-bottom: 1rem;
  }
}

#more-news-link {
  margin: 1rem auto;
  width: 8rem;
}

.sponsors-block {
  text-align: center;
}

section.wafer-sponsors {
  text-align: center;

  h2 {
    font-size: 1.5rem;
    font-weight: normal;
    margin: 4rem 0 2.5rem;
  }

  #sponsors-platinum {
    font-weight: 600;
  }

  .sponsors-platinum img {
    height: 6rem;
    max-width: 40rem;
  }

  .sponsors-gold img {
    height: 5.5rem;
    max-width: 20rem;
  }

  .sponsors-silver img {
    height: 5rem;
    max-width: 16rem;
  }

  .sponsors-bronze img {
    height: 3.5rem;
    max-width: 12rem;
  }

  .sponsors-supporter img {
    height: 3rem;
    max-width: 8rem;
  }

  .sponsors-venue-partner {
    height: 8rem;
  }

  .sponsors-venue-partner img {
    height: 5.5rem;
    max-width: 20rem;
  }

  .sponsor-us {
    height: 4rem;
  }

  .col-lg-4 {
    margin-bottom: 2rem;
  }
}

footer {
  background-color: $gray-50;
  box-shadow: .375rem .375rem .5rem $gray-20;
  border-radius: 1rem;
  color: $gray-20;

  a {
    color: $white;

    &:hover {
      color: $gray-10;
    }
  }
}

#past-debconfs {
  select {
    background-color: transparent;
    color: $white;
  }
}

#goto-top {
  background-color: $gray-40;
  font-size: 3rem;
}

.badge-face {
    padding: 0;
}
